Open Lighting Architecture: ola::web::SchemaParseContext Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::SchemaParseContext Class Reference
Inheritance diagram for ola::web::SchemaParseContext:

## Public Member Functions
| SchemaParseContext (SchemaDefinitions *definitions)
| Create a new SchemaParseContext.
ValidatorInterface * | GetValidator (SchemaErrorLogger *logger)
| Return the ValidatorInterface for this context.
void | ObjectKey (SchemaErrorLogger *logger, const std::string &keyword)
void | String (SchemaErrorLogger *logger, const std::string &value)
void | Number (SchemaErrorLogger *logger, uint32_t value)
void | Number (SchemaErrorLogger *logger, int32_t value)
void | Number (SchemaErrorLogger *logger, uint64_t value)
void | Number (SchemaErrorLogger *logger, int64_t value)
void | Number (SchemaErrorLogger *logger, double value)
void | Bool (SchemaErrorLogger *logger, bool value)
void | Null (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenArray (SchemaErrorLogger *logger)
void | CloseArray (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
void | CloseObject (SchemaErrorLogger *logger)

## Constructor & Destructor Documentation

## ◆ SchemaParseContext()

ola::web::SchemaParseContext::SchemaParseContext | ( | SchemaDefinitions * | definitions | ) |
| inlineexplicit

Create a new SchemaParseContext.

Parameters

  definitions | the SchemaDefinitions cache, ownership is not transferred.

## Member Function Documentation

## ◆ Bool()

void ola::web::SchemaParseContext::Bool | ( | SchemaErrorLogger * | logger,
|  | bool | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ CloseArray()

void ola::web::SchemaParseContext::CloseArray | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ CloseObject()

void ola::web::SchemaParseContext::CloseObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ GetValidator()

ValidatorInterface * ola::web::SchemaParseContext::GetValidator | ( | SchemaErrorLogger * | logger | ) |

Return the ValidatorInterface for this context.

Ownership of the ValidatorInterface is transferred to the caller.

Returns
  A new ValidatorInterface or NULL if it was not possible to construct a validator.

## ◆ Null()

void ola::web::SchemaParseContext::Null | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [1/5]

void ola::web::SchemaParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | double | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [2/5]

void ola::web::SchemaParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | int32_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [3/5]

void ola::web::SchemaParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | int64_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [4/5]

void ola::web::SchemaParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | uint32_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ Number() [5/5]

void ola::web::SchemaParseContext::Number | ( | SchemaErrorLogger * | logger,
|  | uint64_t | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ ObjectKey()

void ola::web::SchemaParseContext::ObjectKey | ( | SchemaErrorLogger * | logger,
|  | const std::string & | keyword )
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ OpenArray()

SchemaParseContextInterface * ola::web::SchemaParseContext::OpenArray | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ OpenObject()

SchemaParseContextInterface * ola::web::SchemaParseContext::OpenObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ String()

void ola::web::SchemaParseContext::String | ( | SchemaErrorLogger * | logger,
|  | const std::string & | value )
| virtual

Implements ola::web::SchemaParseContextInterface.

The documentation for this class was generated from the following files:

- common/web/SchemaParseContext.h
- common/web/SchemaParseContext.cpp